# AnalyticsUpdateInstallHttp

### Description

Updates information of a registered installation on the server.

To invoke this method via a URL, append this function's name to the URL of the QLM License Server and add the required arguments.

{% code overflow="wrap" %}

```http
https://yourserver/yourvirtualdirectory/qlmservice.asmx/AnalyticsUpdateInstallHttp?is_installid =[Install ID]&is_osversion=Windows 7&...
```

{% endcode %}

### Arguments

| Parameter          | Description                                                            |
| ------------------ | ---------------------------------------------------------------------- |
| is\_installid      | ID of the installation returned by the call to AnalyticsAddInstallHttp |
| is\_swversion      | version of your software                                               |
| is\_osversion      | version of the operating system                                        |
| is\_computer\_name | name of the computer.                                                  |
| is\_computerID     | unique computer identifier                                             |
| is\_avkey          | activation key on the system                                           |
| is\_pckey          | computer key associated with the system                                |
| is\_trial          | flag indicating if the license is a trial                              |
| is\_productname    | name of your product                                                   |
| is\_majorversion   | major version of your product                                          |
| is\_minorversion   | minor version of your product                                          |
| is\_customdata1    | your own custom data                                                   |
| is\_customdata2    | your own custom data                                                   |
| is\_customdata3    | your own custom data                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/http-methods/analyticsupdateinstallhttp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
